<template lang="pug">
.card.x-camera.col-sm-12.col-lg-6.col-xl-4.p-0(:title='description')
  .card-img-overlay.h4.p-0
    .x-camera-name.badge.m-1(:class='[ `badge-${connected ? "success" : "danger" }` ]')
      | {{title}}
    .x-camera-fps.badge.badge-secondary.m-1(v-if='showFps')
      | {{fps}} fps
    .h-100.d-flex.justify-content-center.align-items-center(v-if='!connected')
      i.fas.fa-video-slash.fa-3x
  img.x-stream.x-img-fluid.m-auto.d-block(:src='imgURL' @error='onError' @load='onLoaded')
</template>

<script>
export { default } from './CamCard.vue.js';
</script>


<style>
.x-camera-name {
  position: absolute;
  left: 5px;
  top: 5px;
  opacity: 0.65;
}
.x-camera-fps {
  position: absolute;
  right: 5px;
  top: 5px;
  opacity: 0.20;
}
.x-camera {
  min-height: 33%;
  max-height: 33%;
}
.x-img-fluid {
  width: auto;
  height: 100%;
}

</style>
